--- a/arch/m68k/atari/time.c
+++ b/arch/m68k/atari/time.c
@@ -16,6 +16,7 @@
 #include <linux/init.h>
 #include <linux/rtc.h>
 #include <linux/bcd.h>
+#include <linux/delay.h>
 
 #include <asm/atariints.h>
 
@@ -97,7 +98,7 @@ static void mste_write(struct MSTE_RTC *
 	} while(0)
 
 
-#define HWCLK_POLL_INTERVAL	5
+#define HWCLK_POLL_INTERVAL	50	/* ms */
 
 int atari_mste_hwclk( int op, struct rtc_time *t )
 {
@@ -213,7 +214,7 @@ int atari_tt_hwclk( int op, struct rtc_t
      */
 
     while( RTC_READ(RTC_FREQ_SELECT) & RTC_UIP )
-        schedule_timeout_interruptible(HWCLK_POLL_INTERVAL);
+        msleep_interruptible(HWCLK_POLL_INTERVAL);
 
     local_irq_save(flags);
     RTC_WRITE( RTC_CONTROL, ctrl | RTC_SET );
--- a/arch/mips/arc/Makefile
+++ b/arch/mips/arc/Makefile
@@ -3,7 +3,7 @@
 #
 
 lib-y				+= cmdline.o env.o file.o identify.o init.o \
-				   misc.o salone.o time.o tree.o
+				   misc.o time.o tree.o
 
 lib-$(CONFIG_ARC_MEMORY)	+= memory.o
 lib-$(CONFIG_ARC_CONSOLE)	+= arc_con.o
--- a/arch/mips/galileo-boards/ev96100/puts.c
+++ b/arch/mips/galileo-boards/ev96100/puts.c
@@ -21,7 +21,6 @@
 #define TIMEOUT    0xffff
 #undef SLOW_DOWN
 
-static const char digits[16] = "0123456789abcdef";
 static volatile unsigned char *const com1 = (unsigned char *) SERIAL_BASE;
 
 
@@ -118,7 +117,7 @@ void put64(uint64_t ul)
 	do {
 		cnt--;
 		ch = (unsigned char) (ul >> cnt * 4) & 0x0F;
-		putch(digits[ch]);
+		putch(small_digits[ch]);
 	} while (cnt > 0);
 }
 
@@ -133,6 +132,6 @@ void put32(unsigned u)
 	do {
 		cnt--;
 		ch = (unsigned char) (u >> cnt * 4) & 0x0F;
-		putch(digits[ch]);
+		putch(small_digits[ch]);
 	} while (cnt > 0);
 }
--- a/arch/mips/ite-boards/generic/puts.c
+++ b/arch/mips/ite-boards/generic/puts.c
@@ -38,7 +38,6 @@
 #define TIMEOUT       0xffff
 #undef SLOW_DOWN
 
-static const char digits[16] = "0123456789abcdef";
 static volatile unsigned char *const com1 = (unsigned char *) SERIAL_BASE;
 
 
@@ -119,7 +118,7 @@ void put64(uint64_t ul)
 	do {
 		cnt--;
 		ch = (unsigned char) (ul >> cnt * 4) & 0x0F;
-		putch(digits[ch]);
+		putch(small_digits[ch]);
 	} while (cnt > 0);
 }
 
@@ -134,6 +133,6 @@ void put32(unsigned u)
 	do {
 		cnt--;
 		ch = (unsigned char) (u >> cnt * 4) & 0x0F;
-		putch(digits[ch]);
+		putch(small_digits[ch]);
 	} while (cnt > 0);
 }
--- a/arch/mips/jmr3927/common/puts.c
+++ b/arch/mips/jmr3927/common/puts.c
@@ -40,8 +40,6 @@
 #define TIMEOUT       0xffffff
 #define SLOW_DOWN
 
-static const char digits[16] = "0123456789abcdef";
-
 #ifdef SLOW_DOWN
 #define slow_down() { int k; for (k=0; k<10000; k++); }
 #else
@@ -147,7 +145,7 @@ put64(uint64_t ul)
     do {
         cnt--;
         ch = (unsigned char)(ul >> cnt * 4) & 0x0F;
-                putch(digits[ch]);
+                putch(small_digits[ch]);
     } while (cnt > 0);
 }
 
@@ -163,6 +161,6 @@ put32(unsigned u)
     do {
         cnt--;
         ch = (unsigned char)(u >> cnt * 4) & 0x0F;
-                putch(digits[ch]);
+                putch(small_digits[ch]);
     } while (cnt > 0);
 }
--- a/arch/mips/jmr3927/rbhma3100/kgdb_io.c
+++ b/arch/mips/jmr3927/rbhma3100/kgdb_io.c
@@ -39,8 +39,6 @@
 #define TIMEOUT       0xffffff
 #define SLOW_DOWN
 
-static const char digits[16] = "0123456789abcdef";
-
 #ifdef SLOW_DOWN
 #define slow_down() { int k; for (k=0; k<10000; k++); }
 #else
--- a/arch/mips/kernel/gdb-stub.c
+++ b/arch/mips/kernel/gdb-stub.c
@@ -191,7 +191,6 @@ static char input_buffer[BUFMAX];
 static char output_buffer[BUFMAX];
 static int initialized;	/* !0 means we've been initialized */
 static int kgdb_started;
-static const char hexchars[]="0123456789abcdef";
 
 /* Used to prevent crashes in memory access.  Note that they'll crash anyway if
    we haven't set up fault handlers yet... */
@@ -307,8 +306,8 @@ static void putpacket(char *buffer)
 		}
 
 		putDebugChar('#');
-		putDebugChar(hexchars[checksum >> 4]);
-		putDebugChar(hexchars[checksum & 0xf]);
+		putDebugChar(small_digits[checksum >> 4]);
+		putDebugChar(small_digits[checksum & 0xf]);
 
 	}
 	while ((getDebugChar() & 0x7f) != '+');
@@ -329,8 +328,8 @@ static unsigned char *mem2hex(char *mem,
 	while (count-- > 0) {
 		if (kgdb_read_byte(mem++, &ch) != 0)
 			return 0;
-		*buf++ = hexchars[ch >> 4];
-		*buf++ = hexchars[ch & 0xf];
+		*buf++ = small_digits[ch >> 4];
+		*buf++ = small_digits[ch & 0xf];
 	}
 
 	*buf = 0;
@@ -753,14 +752,14 @@ void handle_exception (struct gdb_regs *
 	 * Send trap type (converted to signal)
 	 */
 	*ptr++ = 'T';
-	*ptr++ = hexchars[sigval >> 4];
-	*ptr++ = hexchars[sigval & 0xf];
+	*ptr++ = small_digits[sigval >> 4];
+	*ptr++ = small_digits[sigval & 0xf];
 
 	/*
 	 * Send Error PC
 	 */
-	*ptr++ = hexchars[REG_EPC >> 4];
-	*ptr++ = hexchars[REG_EPC & 0xf];
+	*ptr++ = small_digits[REG_EPC >> 4];
+	*ptr++ = small_digits[REG_EPC & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&regs->cp0_epc, ptr, sizeof(long), 0);
 	*ptr++ = ';';
@@ -768,8 +767,8 @@ void handle_exception (struct gdb_regs *
 	/*
 	 * Send frame pointer
 	 */
-	*ptr++ = hexchars[REG_FP >> 4];
-	*ptr++ = hexchars[REG_FP & 0xf];
+	*ptr++ = small_digits[REG_FP >> 4];
+	*ptr++ = small_digits[REG_FP & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&regs->reg30, ptr, sizeof(long), 0);
 	*ptr++ = ';';
@@ -777,8 +776,8 @@ void handle_exception (struct gdb_regs *
 	/*
 	 * Send stack pointer
 	 */
-	*ptr++ = hexchars[REG_SP >> 4];
-	*ptr++ = hexchars[REG_SP & 0xf];
+	*ptr++ = small_digits[REG_SP >> 4];
+	*ptr++ = small_digits[REG_SP & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&regs->reg29, ptr, sizeof(long), 0);
 	*ptr++ = ';';
@@ -797,8 +796,8 @@ void handle_exception (struct gdb_regs *
 		{
 		case '?':
 			output_buffer[0] = 'S';
-			output_buffer[1] = hexchars[sigval >> 4];
-			output_buffer[2] = hexchars[sigval & 0xf];
+			output_buffer[1] = small_digits[sigval >> 4];
+			output_buffer[2] = small_digits[sigval & 0xf];
 			output_buffer[3] = 0;
 			break;
 
--- a/arch/ppc/4xx_io/serial_sicc.c
+++ b/arch/ppc/4xx_io/serial_sicc.c
@@ -60,125 +60,121 @@
 #include <asm/uaccess.h>
 #include <asm/serial.h>
 
-
 #include <linux/serialP.h>
 
-
 /* -----------------------------------------------------------------------------
  *  From STB03xxx SICC UART Specification
  * -----------------------------------------------------------------------------
  *  UART Register Offsets.
  */
 
-#define BL_SICC_LSR   0x0000000      /* line status register read/clear */
-#define BL_SICC_LSRS  0x0000001      /* set line status register read/set */
-#define BL_SICC_HSR   0x0000002      /* handshake status register r/clear */
-#define BL_SICC_HSRS  0x0000003      /* set handshake status register r/set */
-#define BL_SICC_BRDH  0x0000004      /* baudrate divisor high reg r/w */
-#define BL_SICC_BRDL  0x0000005      /* baudrate divisor low reg r/w */
-#define BL_SICC_LCR   0x0000006      /* control register r/w */
-#define BL_SICC_RCR   0x0000007      /* receiver command register r/w */
-#define BL_SICC_TxCR  0x0000008      /* transmitter command register r/w */
-#define BL_SICC_RBR   0x0000009      /* receive buffer r */
-#define BL_SICC_TBR   0x0000009      /* transmit buffer w */
-#define BL_SICC_CTL2  0x000000A      /* added for Vesta */
-#define BL_SICC_IrCR  0x000000B      /* added for Vesta IR */
+#define BL_SICC_LSR   0x0000000	/* line status register read/clear */
+#define BL_SICC_LSRS  0x0000001	/* set line status register read/set */
+#define BL_SICC_HSR   0x0000002	/* handshake status register r/clear */
+#define BL_SICC_HSRS  0x0000003	/* set handshake status register r/set */
+#define BL_SICC_BRDH  0x0000004	/* baudrate divisor high reg r/w */
+#define BL_SICC_BRDL  0x0000005	/* baudrate divisor low reg r/w */
+#define BL_SICC_LCR   0x0000006	/* control register r/w */
+#define BL_SICC_RCR   0x0000007	/* receiver command register r/w */
+#define BL_SICC_TxCR  0x0000008	/* transmitter command register r/w */
+#define BL_SICC_RBR   0x0000009	/* receive buffer r */
+#define BL_SICC_TBR   0x0000009	/* transmit buffer w */
+#define BL_SICC_CTL2  0x000000A	/* added for Vesta */
+#define BL_SICC_IrCR  0x000000B	/* added for Vesta IR */
 
 /* masks and definitions for serial port control register */
 
-#define _LCR_LM_MASK  0xc0            /* loop back modes */
-#define _LCR_DTR_MASK 0x20            /* data terminal ready 0-inactive */
-#define _LCR_RTS_MASK 0x10            /* request to send 0-inactive */
-#define _LCR_DB_MASK  0x08            /* data bits mask */
-#define _LCR_PE_MASK  0x04            /* parity enable */
-#define _LCR_PTY_MASK 0x02            /* parity */
-#define _LCR_SB_MASK  0x01            /* stop bit mask */
-
-#define _LCR_LM_NORM  0x00            /* normal operation */
-#define _LCR_LM_LOOP  0x40            /* internal loopback mode */
-#define _LCR_LM_ECHO  0x80            /* automatic echo mode */
-#define _LCR_LM_RES   0xc0            /* reserved */
-
-#define _LCR_DTR_ACTIVE       _LCR_DTR_MASK /* DTR is active */
-#define _LCR_RTS_ACTIVE       _LCR_RTS_MASK /* RTS is active */
-#define _LCR_DB_8_BITS        _LCR_DB_MASK  /*  8 data bits */
-#define _LCR_DB_7_BITS        0x00          /*  7 data bits */
-#define _LCR_PE_ENABLE        _LCR_PE_MASK  /* parity enabled */
-#define _LCR_PE_DISABLE       0x00          /* parity disabled */
-#define _LCR_PTY_EVEN         0x00          /* even parity */
-#define _LCR_PTY_ODD          _LCR_PTY_MASK /* odd parity */
-#define _LCR_SB_1_BIT         0x00          /* one stop bit */
-#define _LCR_SB_2_BIT         _LCR_SB_MASK  /* two stop bit */
+#define _LCR_LM_MASK  0xc0	/* loop back modes */
+#define _LCR_DTR_MASK 0x20	/* data terminal ready 0-inactive */
+#define _LCR_RTS_MASK 0x10	/* request to send 0-inactive */
+#define _LCR_DB_MASK  0x08	/* data bits mask */
+#define _LCR_PE_MASK  0x04	/* parity enable */
+#define _LCR_PTY_MASK 0x02	/* parity */
+#define _LCR_SB_MASK  0x01	/* stop bit mask */
+
+#define _LCR_LM_NORM  0x00	/* normal operation */
+#define _LCR_LM_LOOP  0x40	/* internal loopback mode */
+#define _LCR_LM_ECHO  0x80	/* automatic echo mode */
+#define _LCR_LM_RES   0xc0	/* reserved */
+
+#define _LCR_DTR_ACTIVE       _LCR_DTR_MASK	/* DTR is active */
+#define _LCR_RTS_ACTIVE       _LCR_RTS_MASK	/* RTS is active */
+#define _LCR_DB_8_BITS        _LCR_DB_MASK	/*  8 data bits */
+#define _LCR_DB_7_BITS        0x00	/*  7 data bits */
+#define _LCR_PE_ENABLE        _LCR_PE_MASK	/* parity enabled */
+#define _LCR_PE_DISABLE       0x00	/* parity disabled */
+#define _LCR_PTY_EVEN         0x00	/* even parity */
+#define _LCR_PTY_ODD          _LCR_PTY_MASK	/* odd parity */
+#define _LCR_SB_1_BIT         0x00	/* one stop bit */
+#define _LCR_SB_2_BIT         _LCR_SB_MASK	/* two stop bit */
 
 /* serial port handshake register */
 
-#define _HSR_DIS_MASK  0x80            /* DSR input inactive error mask */
-#define _HSR_CS_MASK   0x40            /* CTS input inactive error mask */
-#define _HSR_DIS_ACT   0x00            /* dsr input is active */
-#define _HSR_DIS_INACT _HSR_DIS_MASK   /* dsr input is inactive */
-#define _HSR_CS_ACT    0x00            /* cts input is active */
-#define _HSR_CS_INACT  _HSR_CS_MASK    /* cts input is active */
+#define _HSR_DIS_MASK  0x80	/* DSR input inactive error mask */
+#define _HSR_CS_MASK   0x40	/* CTS input inactive error mask */
+#define _HSR_DIS_ACT   0x00	/* dsr input is active */
+#define _HSR_DIS_INACT _HSR_DIS_MASK	/* dsr input is inactive */
+#define _HSR_CS_ACT    0x00	/* cts input is active */
+#define _HSR_CS_INACT  _HSR_CS_MASK	/* cts input is active */
 
 /* serial port line status register */
 
-#define _LSR_RBR_MASK  0x80            /* receive buffer ready mask */
-#define _LSR_FE_MASK   0x40            /* framing error */
-#define _LSR_OE_MASK   0x20            /* overrun error */
-#define _LSR_PE_MASK   0x10            /* parity error */
-#define _LSR_LB_MASK   0x08            /* line break */
-#define _LSR_TBR_MASK  0x04            /* transmit buffer ready */
-#define _LSR_TSR_MASK  0x02            /* transmit shift register ready */
-
-#define _LSR_RBR_FULL  _LSR_RBR_MASK  /* receive buffer is full */
-#define _LSR_FE_ERROR  _LSR_FE_MASK   /* framing error detected */
-#define _LSR_OE_ERROR  _LSR_OE_MASK   /* overrun error detected */
-#define _LSR_PE_ERROR  _LSR_PE_MASK   /* parity error detected */
-#define _LSR_LB_BREAK  _LSR_LB_MASK   /* line break detected */
-#define _LSR_TBR_EMPTY _LSR_TBR_MASK  /* transmit buffer is ready */
-#define _LSR_TSR_EMPTY _LSR_TSR_MASK  /* transmit shift register is empty */
-#define _LSR_TX_ALL    0x06           /* all physical transmit is done */
+#define _LSR_RBR_MASK  0x80	/* receive buffer ready mask */
+#define _LSR_FE_MASK   0x40	/* framing error */
+#define _LSR_OE_MASK   0x20	/* overrun error */
+#define _LSR_PE_MASK   0x10	/* parity error */
+#define _LSR_LB_MASK   0x08	/* line break */
+#define _LSR_TBR_MASK  0x04	/* transmit buffer ready */
+#define _LSR_TSR_MASK  0x02	/* transmit shift register ready */
+
+#define _LSR_RBR_FULL  _LSR_RBR_MASK	/* receive buffer is full */
+#define _LSR_FE_ERROR  _LSR_FE_MASK	/* framing error detected */
+#define _LSR_OE_ERROR  _LSR_OE_MASK	/* overrun error detected */
+#define _LSR_PE_ERROR  _LSR_PE_MASK	/* parity error detected */
+#define _LSR_LB_BREAK  _LSR_LB_MASK	/* line break detected */
+#define _LSR_TBR_EMPTY _LSR_TBR_MASK	/* transmit buffer is ready */
+#define _LSR_TSR_EMPTY _LSR_TSR_MASK	/* transmit shift register is empty */
+#define _LSR_TX_ALL    0x06	/* all physical transmit is done */
 
 #define _LSR_RX_ERR    (_LSR_LB_BREAK | _LSR_FE_MASK | _LSR_OE_MASK | \
 			 _LSR_PE_MASK )
 
 /* serial port receiver command register */
 
-#define _RCR_ER_MASK   0x80           /* enable receiver mask */
-#define _RCR_DME_MASK  0x60           /* dma mode */
-#define _RCR_EIE_MASK  0x10           /* error interrupt enable mask */
-#define _RCR_PME_MASK  0x08           /* pause mode mask */
-
-#define _RCR_ER_ENABLE _RCR_ER_MASK   /* receiver enabled */
-#define _RCR_DME_DISABLE 0x00         /* dma disabled */
-#define _RCR_DME_RXRDY 0x20           /* dma disabled, RxRDY interrupt enabled*/
-#define _RCR_DME_ENABLE2 0x40         /* dma enabled,receiver src channel 2 */
-#define _RCR_DME_ENABLE3 0x60         /* dma enabled,receiver src channel 3 */
-#define _RCR_PME_HARD  _RCR_PME_MASK  /* RTS controlled by hardware */
-#define _RCR_PME_SOFT  0x00           /* RTS controlled by software */
+#define _RCR_ER_MASK   0x80	/* enable receiver mask */
+#define _RCR_DME_MASK  0x60	/* dma mode */
+#define _RCR_EIE_MASK  0x10	/* error interrupt enable mask */
+#define _RCR_PME_MASK  0x08	/* pause mode mask */
+
+#define _RCR_ER_ENABLE _RCR_ER_MASK	/* receiver enabled */
+#define _RCR_DME_DISABLE 0x00	/* dma disabled */
+#define _RCR_DME_RXRDY 0x20	/* dma disabled, RxRDY interrupt enabled */
+#define _RCR_DME_ENABLE2 0x40	/* dma enabled,receiver src channel 2 */
+#define _RCR_DME_ENABLE3 0x60	/* dma enabled,receiver src channel 3 */
+#define _RCR_PME_HARD  _RCR_PME_MASK	/* RTS controlled by hardware */
+#define _RCR_PME_SOFT  0x00	/* RTS controlled by software */
 
 /* serial port transmit command register */
 
-#define _TxCR_ET_MASK   0x80           /* transmiter enable mask */
-#define _TxCR_DME_MASK  0x60           /* dma mode mask */
-#define _TxCR_TIE_MASK  0x10           /* empty interrupt enable mask */
-#define _TxCR_EIE_MASK  0x08           /* error interrupt enable mask */
-#define _TxCR_SPE_MASK  0x04           /* stop/pause mask */
-#define _TxCR_TB_MASK   0x02           /* transmit break mask */
-
-#define _TxCR_ET_ENABLE _TxCR_ET_MASK  /* transmiter enabled */
-#define _TxCR_DME_DISABLE 0x00         /* transmiter disabled, TBR intr disabled */
-#define _TxCR_DME_TBR   0x20           /* transmiter disabled, TBR intr enabled */
-#define _TxCR_DME_CHAN_2 0x40          /* dma enabled, destination chann 2 */
-#define _TxCR_DME_CHAN_3 0x60          /* dma enabled, destination chann 3 */
+#define _TxCR_ET_MASK   0x80	/* transmiter enable mask */
+#define _TxCR_DME_MASK  0x60	/* dma mode mask */
+#define _TxCR_TIE_MASK  0x10	/* empty interrupt enable mask */
+#define _TxCR_EIE_MASK  0x08	/* error interrupt enable mask */
+#define _TxCR_SPE_MASK  0x04	/* stop/pause mask */
+#define _TxCR_TB_MASK   0x02	/* transmit break mask */
+
+#define _TxCR_ET_ENABLE _TxCR_ET_MASK	/* transmiter enabled */
+#define _TxCR_DME_DISABLE 0x00	/* transmiter disabled, TBR intr disabled */
+#define _TxCR_DME_TBR   0x20	/* transmiter disabled, TBR intr enabled */
+#define _TxCR_DME_CHAN_2 0x40	/* dma enabled, destination chann 2 */
+#define _TxCR_DME_CHAN_3 0x60	/* dma enabled, destination chann 3 */
 
 /* serial ctl reg 2 - added for Vesta */
 
-#define _CTL2_EXTERN  0x80            /*  */
-#define _CTL2_USEFIFO 0x40            /*  */
-#define _CTL2_RESETRF 0x08            /*  */
-#define _CTL2_RESETTF 0x04            /*  */
-
-
+#define _CTL2_EXTERN  0x80	/*  */
+#define _CTL2_USEFIFO 0x40	/*  */
+#define _CTL2_RESETRF 0x08	/*  */
+#define _CTL2_RESETTF 0x04	/*  */
 
 #define SERIAL_SICC_NAME    "ttySICC"
 #define SERIAL_SICC_MAJOR   150
@@ -225,46 +221,46 @@ static u_char *tmp_buf;
 #define EVT_WRITE_WAKEUP    0
 
 struct SICC_icount {
-    __u32   cts;
-    __u32   dsr;
-    __u32   rng;
-    __u32   dcd;
-    __u32   rx;
-    __u32   tx;
-    __u32   frame;
-    __u32   overrun;
-    __u32   parity;
-    __u32   brk;
-    __u32   buf_overrun;
+	__u32 cts;
+	__u32 dsr;
+	__u32 rng;
+	__u32 dcd;
+	__u32 rx;
+	__u32 tx;
+	__u32 frame;
+	__u32 overrun;
+	__u32 parity;
+	__u32 brk;
+	__u32 buf_overrun;
 };
 
 /*
  * Static information about the port
  */
 struct SICC_port {
-    unsigned int        uart_base;
-    unsigned int        uart_base_phys;
-    unsigned int        irqrx;
-    unsigned int        irqtx;
-    unsigned int        uartclk;
-    unsigned int        fifosize;
-    unsigned int        tiocm_support;
-    void (*set_mctrl)(struct SICC_port *, u_int mctrl);
+	unsigned int uart_base;
+	unsigned int uart_base_phys;
+	unsigned int irqrx;
+	unsigned int irqtx;
+	unsigned int uartclk;
+	unsigned int fifosize;
+	unsigned int tiocm_support;
+	void (*set_mctrl) (struct SICC_port *, u_int mctrl);
 };
 
 /*
  * This is the state information which is persistent across opens
  */
 struct SICC_state {
-    struct SICC_icount  icount;
-    unsigned int        line;
-    unsigned int        close_delay;
-    unsigned int        closing_wait;
-    unsigned int        custom_divisor;
-    unsigned int        flags;
-    int         count;
-    struct SICC_info    *info;
-    spinlock_t		sicc_lock;
+	struct SICC_icount icount;
+	unsigned int line;
+	unsigned int close_delay;
+	unsigned int closing_wait;
+	unsigned int custom_divisor;
+	unsigned int flags;
+	int count;
+	struct SICC_info *info;
+	spinlock_t sicc_lock;
 };
 
 #define SICC_XMIT_SIZE 1024
@@ -272,53 +268,52 @@ struct SICC_state {
  * This is the state information which is only valid when the port is open.
  */
 struct SICC_info {
-    struct SICC_port    *port;
-    struct SICC_state   *state;
-    struct tty_struct   *tty;
-    unsigned char       x_char;
-    unsigned char       old_status;
-    unsigned char       read_status_mask;
-    unsigned char       ignore_status_mask;
-    struct circ_buf     xmit;
-    unsigned int        flags;
+	struct SICC_port *port;
+	struct SICC_state *state;
+	struct tty_struct *tty;
+	unsigned char x_char;
+	unsigned char old_status;
+	unsigned char read_status_mask;
+	unsigned char ignore_status_mask;
+	struct circ_buf xmit;
+	unsigned int flags;
 #ifdef SUPPORT_SYSRQ
-    unsigned long       sysrq;
+	unsigned long sysrq;
 #endif
 
-    unsigned int        event;
-    unsigned int        timeout;
-    unsigned int        lcr_h;
-    unsigned int        mctrl;
-    int         blocked_open;
-
-    struct tasklet_struct   tlet;
-
-    wait_queue_head_t   open_wait;
-    wait_queue_head_t   close_wait;
-    wait_queue_head_t   delta_msr_wait;
+	unsigned int event;
+	unsigned int timeout;
+	unsigned int lcr_h;
+	unsigned int mctrl;
+	int blocked_open;
+
+	struct tasklet_struct tlet;
+
+	wait_queue_head_t open_wait;
+	wait_queue_head_t close_wait;
+	wait_queue_head_t delta_msr_wait;
 };
 
 #ifdef CONFIG_SERIAL_SICC_CONSOLE
 static struct console siccuart_cons;
 #endif
-static void siccuart_change_speed(struct SICC_info *info, struct termios *old_termios);
+static void siccuart_change_speed(struct SICC_info *info,
+				  struct termios *old_termios);
 static void siccuart_wait_until_sent(struct tty_struct *tty, int timeout);
 
-
-
 static void powerpcMtcic_cr(unsigned long value)
 {
-    mtdcr(DCRN_CICCR, value);
+	mtdcr(DCRN_CICCR, value);
 }
 
 static unsigned long powerpcMfcic_cr(void)
 {
-    return mfdcr(DCRN_CICCR);
+	return mfdcr(DCRN_CICCR);
 }
 
 static unsigned long powerpcMfclkgpcr(void)
 {
-    return mfdcr(DCRN_SCCR);
+	return mfdcr(DCRN_SCCR);
 }
 
 static void sicc_set_mctrl_null(struct SICC_port *port, u_int mctrl)
